# dmd.backend.el

Expression trees (intermediate representation)

#### Discussion

Compiler implementation of the D programming language.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: backend/`el`.d

- `elem`

  #### Declaration

  `struct `elem`;`

  Elems: Elems are the basic tree element. They can be either terminal elems (leaves), unary elems (left subtree exists) or binary elems (left and right subtrees exist).